View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17276Bug reportsAccessibilitypublic2021-07-12 11:53
ReportersdsAdm1n Assigned Togabrieljenik  
PriorityimmediateSeverityblock 
Status closedResolutionfixed 
Product Version4.5.x 
Summary17276: 500: Internal Server Error - Call to a member function format() on bool
DescriptionI set the expiry date for the attached survey, then when I try to access the survey from the Surveys List page an error is showing "Call to a member function format() on bool" as per attached image. accordingly I can't access the survey due to that.
the problem is showing for all expired surveys.
Steps To Reproduce1. Activate the survey
2. Set the expiry date to stop the survey
3. Go to Surveys List, click to view the expired survey
Additional InformationPlease review attached error log file for more details and information on the error
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)4.6.0+210504
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMS SQL Server 2016
Server OS (if known)Win Server 2019
Webserver software & version (if known)IIS 10
PHP Version7.4

Activities

sdsAdm1n

sdsAdm1n

2021-04-28 10:45

reporter  

Error500.png (72,020 bytes)   
Error500.png (72,020 bytes)   
errorLog28042021.txt (5,596 bytes)   
2021/04/28 08:16:51 [error] [exception.Error] Error: Call to a member function format() on bool in \limesurvey\application\helpers\replacements_helper.php:224
Stack trace:
#0 \limesurvey\application\helpers\expressions\em_manager_helper.php(3344): templatereplace()
#1 \limesurvey\application\helpers\expressions\em_manager_helper.php(4554): LimeExpressionManager->setVariableAndTokenMappingsForExpressionManager()
#2 \limesurvey\application\controllers\SurveyAdministrationController.php(74): LimeExpressionManager::StartProcessingPage()
#3 \limesurvey\framework\web\CController.php(783): SurveyAdministrationController->beforeRender()
#4 \limesurvey\application\controllers\SurveyAdministrationController.php(1958): CController->render()
#5 [internal function]: SurveyAdministrationController->actionRendersidemenulink()
#6 \limesurvey\framework\web\actions\CAction.php(109): ReflectionMethod->invokeArgs()
#7 \limesurvey\framework\web\actions\CInlineAction.php(47): CAction->runWithParamsInternal()
#8 \limesurvey\framework\web\CController.php(308): CInlineAction->runWithParams()
#9 \limesurvey\framework\web\CController.php(286): CController->runAction()
#10 \limesurvey\framework\web\CController.php(265): CController->runActionWithFilters()
#11 \limesurvey\application\controllers\LSBaseController.php(160): CController->run()
#12 \limesurvey\framework\web\CWebApplication.php(282): LSBaseController->run()
#13 \limesurvey\framework\web\CWebApplication.php(141): CWebApplication->runController()
#14 \limesurvey\framework\base\CApplication.php(185): CWebApplication->processRequest()
#15 \limesurvey\index.php(182): CApplication->run()
#16 {main}
REQUEST_URI=/index.php?r=surveyAdministration/rendersidemenulink/subaction/generalsettings/surveyid/249611
HTTP_REFERER=https://limesurvey/index.php?r=surveyAdministration/listsurveys
---
2021/04/28 08:17:31 [error] [exception.Error] Error: Call to a member function format() on bool in \limesurvey\application\controllers\SurveyAdministrationController.php:2739
Stack trace:
#0 \limesurvey\application\controllers\SurveyAdministrationController.php(179): SurveyAdministrationController->surveysummary()
#1 \limesurvey\framework\web\actions\CInlineAction.php(49): SurveyAdministrationController->actionView()
#2 \limesurvey\framework\web\CController.php(308): CInlineAction->runWithParams()
#3 \limesurvey\framework\web\CController.php(286): CController->runAction()
#4 \limesurvey\framework\web\CController.php(265): CController->runActionWithFilters()
#5 \limesurvey\application\controllers\LSBaseController.php(160): CController->run()
#6 \limesurvey\framework\web\CWebApplication.php(282): LSBaseController->run()
#7 \limesurvey\framework\web\CWebApplication.php(141): CWebApplication->runController()
#8 \limesurvey\framework\base\CApplication.php(185): CWebApplication->processRequest()
#9 \limesurvey\index.php(182): CApplication->run()
#10 {main}
REQUEST_URI=/index.php?r=surveyAdministration/view&surveyid=249611
HTTP_REFERER=https://limesurvey/index.php?r=surveyAdministration/listsurveys
---
2021/04/28 08:18:37 [error] [application.LimeExpressionManager] setVariableAndTokenMappingsForExpressionManager with an empty surveyOptions.
2021/04/28 08:18:40 [error] [application.LimeExpressionManager] setVariableAndTokenMappingsForExpressionManager with an empty surveyOptions.
2021/04/28 08:21:50 [error] [application.LimeExpressionManager] setVariableAndTokenMappingsForExpressionManager with an empty surveyOptions.
2021/04/28 08:21:50 [error] [exception.Error] Error: Call to a member function format() on bool in \limesurvey\application\helpers\replacements_helper.php:224
Stack trace:
#0 \limesurvey\application\helpers\expressions\em_manager_helper.php(3344): templatereplace()
#1 \limesurvey\application\helpers\expressions\em_manager_helper.php(879): LimeExpressionManager->setVariableAndTokenMappingsForExpressionManager()
#2 \limesurvey\application\helpers\expressions\em_manager_helper.php(894): LimeExpressionManager::getLEMqcode2sgqa()
#3 \limesurvey\application\helpers\expressions\em_manager_helper.php(828): LimeExpressionManager::ConvertConditionsToRelevance()
#4 \limesurvey\application\controllers\admin\database.php(972): LimeExpressionManager::UpgradeConditionsToRelevance()
#5 \limesurvey\application\controllers\admin\database.php(808): database->_resetEM()
#6 \limesurvey\application\controllers\admin\database.php(124): database->actionUpdateSurveyLocaleSettings()
#7 [internal function]: database->index()
#8 \limesurvey\framework\web\actions\CAction.php(109): ReflectionMethod->invokeArgs()
#9 \limesurvey\application\core\Survey_Common_Action.php(86): CAction->runWithParamsInternal()
#10 \limesurvey\framework\web\CController.php(308): Survey_Common_Action->runWithParams()
#11 \limesurvey\framework\web\CController.php(286): CController->runAction()
#12 \limesurvey\framework\web\CController.php(265): CController->runActionWithFilters()
#13 \limesurvey\application\controllers\AdminController.php(202): CController->run()
#14 \limesurvey\framework\web\CWebApplication.php(282): AdminController->run()
#15 \limesurvey\framework\web\CWebApplication.php(141): CWebApplication->runController()
#16 \limesurvey\framework\base\CApplication.php(185): CWebApplication->processRequest()
#17 \limesurvey\index.php(182): CApplication->run()
#18 {main}
REQUEST_URI=/index.php?r=admin/database/index/updatesurveylocalesettings
HTTP_REFERER=https://limesurvey/index.php?r=surveyAdministration/rendersidemenulink&subaction=publication&surveyid=249611
---
errorLog28042021.txt (5,596 bytes)   
limesurvey_survey_249611.lss (35,324 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>444</DBVersion>
 <languages>
  <language>en</language>
 </languages>
 <answers>
  <fields>
   <fieldname>aid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>code</fieldname>
   <fieldname>sortorder</fieldname>
   <fieldname>assessment_value</fieldname>
   <fieldname>scale_id</fieldname>
  </fields>
  <rows>
   <row>
    <aid><![CDATA[63354]]></aid>
    <qid><![CDATA[14224]]></qid>
    <code><![CDATA[1]]></code>
    <sortorder><![CDATA[0]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[63355]]></aid>
    <qid><![CDATA[14224]]></qid>
    <code><![CDATA[2]]></code>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
  </rows>
 </answers>
 <answer_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>aid</fieldname>
   <fieldname>answer</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[125676]]></id>
    <aid><![CDATA[63354]]></aid>
    <answer><![CDATA[Yes]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[125677]]></id>
    <aid><![CDATA[63355]]></aid>
    <answer><![CDATA[No]]></answer>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </answer_l10ns>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[1509]]></gid>
    <sid><![CDATA[249611]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[567]]></id>
    <gid><![CDATA[1509]]></gid>
    <group_name><![CDATA[group 1]]></group_name>
    <description/>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[249611]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>encrypted</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[14223]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[249611]]></sid>
    <gid><![CDATA[1509]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[G01Q01]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[249611]]></sid>
    <gid><![CDATA[1509]]></gid>
    <type><![CDATA[F]]></type>
    <title><![CDATA[G01Q02]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>encrypted</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[14249]]></qid>
    <parent_qid><![CDATA[14224]]></parent_qid>
    <sid><![CDATA[249611]]></sid>
    <gid><![CDATA[1509]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[A1]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[0]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[14250]]></qid>
    <parent_qid><![CDATA[14224]]></parent_qid>
    <sid><![CDATA[249611]]></sid>
    <gid><![CDATA[1509]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[A2]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[14251]]></qid>
    <parent_qid><![CDATA[14224]]></parent_qid>
    <sid><![CDATA[249611]]></sid>
    <gid><![CDATA[1509]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[A3]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[14252]]></qid>
    <parent_qid><![CDATA[14224]]></parent_qid>
    <sid><![CDATA[249611]]></sid>
    <gid><![CDATA[1509]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[A4]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[3]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[14253]]></qid>
    <parent_qid><![CDATA[14224]]></parent_qid>
    <sid><![CDATA[249611]]></sid>
    <gid><![CDATA[1509]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[A5]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[4]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[14254]]></qid>
    <parent_qid><![CDATA[14224]]></parent_qid>
    <sid><![CDATA[249611]]></sid>
    <gid><![CDATA[1509]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[A6]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[5]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[14255]]></qid>
    <parent_qid><![CDATA[14224]]></parent_qid>
    <sid><![CDATA[249611]]></sid>
    <gid><![CDATA[1509]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[A7]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[6]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[14256]]></qid>
    <parent_qid><![CDATA[14224]]></parent_qid>
    <sid><![CDATA[249611]]></sid>
    <gid><![CDATA[1509]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[A8]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[7]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
  </rows>
 </subquestions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>language</fieldname>
   <fieldname>script</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[13610]]></id>
    <qid><![CDATA[14223]]></qid>
    <question><![CDATA[test]]></question>
    <help/>
    <language><![CDATA[en]]></language>
    <script/>
   </row>
   <row>
    <id><![CDATA[13611]]></id>
    <qid><![CDATA[14224]]></qid>
    <question><![CDATA[array question]]></question>
    <help/>
    <language><![CDATA[en]]></language>
    <script/>
   </row>
   <row>
    <id><![CDATA[13636]]></id>
    <qid><![CDATA[14249]]></qid>
    <question><![CDATA[Abu Dhabi]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[13637]]></id>
    <qid><![CDATA[14250]]></qid>
    <question><![CDATA[Dubai]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[13638]]></id>
    <qid><![CDATA[14251]]></qid>
    <question><![CDATA[Sharjah]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[13639]]></id>
    <qid><![CDATA[14252]]></qid>
    <question><![CDATA[Ajman]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[13640]]></id>
    <qid><![CDATA[14253]]></qid>
    <question><![CDATA[Umm Al Quawain]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[13641]]></id>
    <qid><![CDATA[14254]]></qid>
    <question><![CDATA[Ras Al Khaimah]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[13642]]></id>
    <qid><![CDATA[14255]]></qid>
    <question><![CDATA[Fujairah]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[13643]]></id>
    <qid><![CDATA[14256]]></qid>
    <question><![CDATA[Outside UAE]]></question>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[display_rows]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[input_size]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[maximum_chars]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[question_template]]></attribute>
    <value><![CDATA[longfreetext]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[text_input_width]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_action]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_countdown_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_disable_next]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_disable_prev]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_message_delay]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_message_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_timer_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_warning]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_warning_2]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_warning_2_display_time]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_warning_2_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_warning_2_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_warning_display_time]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_warning_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[14223]]></qid>
    <attribute><![CDATA[time_limit_warning_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[answer_width]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[array_filter]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[array_filter_exclude]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[array_filter_style]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[exclude_all_others]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[max_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[min_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[question_template]]></attribute>
    <value><![CDATA[arrays/array]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[repeat_headings]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[14224]]></qid>
    <attribute><![CDATA[use_dropdown]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
   <fieldname>ipanonymize</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[249611]]></sid>
    <admin><![CDATA[inherit]]></admin>
    <adminemail><![CDATA[inherit]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[I]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[vanilla]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages/>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[I]]></usecookie>
    <allowregister><![CDATA[I]]></allowregister>
    <allowsave><![CDATA[I]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[I]]></autoredirect>
    <allowprev><![CDATA[I]]></allowprev>
    <printanswers><![CDATA[I]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <publicstatistics><![CDATA[I]]></publicstatistics>
    <publicgraphs><![CDATA[I]]></publicgraphs>
    <listpublic><![CDATA[I]]></listpublic>
    <htmlemail><![CDATA[I]]></htmlemail>
    <sendconfirmation><![CDATA[I]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[I]]></tokenanswerspersistence>
    <assessments><![CDATA[I]]></assessments>
    <usecaptcha><![CDATA[E]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[inherit]]></bounce_email>
    <emailresponseto><![CDATA[inherit]]></emailresponseto>
    <emailnotificationto><![CDATA[inherit]]></emailnotificationto>
    <tokenlength><![CDATA[-1]]></tokenlength>
    <showxquestions><![CDATA[I]]></showxquestions>
    <showgroupinfo><![CDATA[I]]></showgroupinfo>
    <shownoanswer><![CDATA[I]]></shownoanswer>
    <showqnumcode><![CDATA[I]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[I]]></showwelcome>
    <showprogress><![CDATA[I]]></showprogress>
    <questionindex><![CDATA[-1]]></questionindex>
    <navigationdelay><![CDATA[-1]]></navigationdelay>
    <nokeyboard><![CDATA[I]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[I]]></alloweditaftercompletion>
    <googleanalyticsstyle/>
    <googleanalyticsapikey/>
    <gsid><![CDATA[1]]></gsid>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <tokenencryptionoptions/>
    <ipanonymize><![CDATA[N]]></ipanonymize>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[249611]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[test version 4]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},

you have been invited to participate in a survey.

The survey is titled:
"{SURVEYNAME}"

"{SURVEYDESCRIPTION}"

To participate, please click on the link below.

Sincerely,

{ADMINNAME} ({ADMINEMAIL})

----------------------------------------------
Click here to do the survey:
{SURVEYURL}

If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:
{OPTOUTURL}

If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Dear {FIRSTNAME},

Recently we invited you to participate in a survey.

We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.

The survey is titled:
"{SURVEYNAME}"

"{SURVEYDESCRIPTION}"

To participate, please click on the link below.

Sincerely,

{ADMINNAME} ({ADMINEMAIL})

----------------------------------------------
Click here to do the survey:
{SURVEYURL}

If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Survey registration confirmation]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Dear {FIRSTNAME},

You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.

To complete this survey, click on the following URL:

{SURVEYURL}

If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},

this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.

If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.

Sincerely,

{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[9]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Response submission for survey {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hello,

A new response was submitted for your survey '{SURVEYNAME}'.

Click the following link to see the individual response:
{VIEWRESPONSEURL}

Click the following link to edit the individual response:
{EDITRESPONSEURL}

View statistics by clicking here:
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Response submission for survey {SURVEYNAME} with results]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hello,

A new response was submitted for your survey '{SURVEYNAME}'.

Click the following link to see the individual response:
{VIEWRESPONSEURL}

Click the following link to edit the individual response:
{EDITRESPONSEURL}

View statistics by clicking here:
{STATISTICSURL}


The following answers were given by the participant:
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
    <surveyls_policy_notice/>
    <surveyls_policy_notice_label/>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>249611</sid>
   <template_name>extends_vanilla_DSC</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
  <theme>
   <sid>249611</sid>
   <template_name>fruity</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
  <theme>
   <sid>249611</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>249611</sid>
   <template_name>extends_vanilla_DSC</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <brandlogofile>./files/logo.png</brandlogofile>
     <font>noto</font>
     <backgroundimage>off</backgroundimage>
     <backgroundimagefile>./files/pattern.png</backgroundimagefile>
     <animatebody>off</animatebody>
     <bodyanimation>fadeInRight</bodyanimation>
     <bodyanimationduration>500</bodyanimationduration>
     <animatequestion>off</animatequestion>
     <questionanimation>flipInX</questionanimation>
     <questionanimationduration>500</questionanimationduration>
     <animatealert>off</animatealert>
     <alertanimation>shake</alertanimation>
     <alertanimationduration>500</alertanimationduration>
     <bodybackgroundcolor>#ffffff</bodybackgroundcolor>
     <fontcolor>#444444</fontcolor>
     <questionbackgroundcolor>#ffffff</questionbackgroundcolor>
     <questionborder>on</questionborder>
     <questioncontainershadow>on</questioncontainershadow>
     <checkicon>f00c</checkicon>
     <animatecheckbox>on</animatecheckbox>
     <checkboxanimation>rubberBand</checkboxanimation>
     <checkboxanimationduration>500</checkboxanimationduration>
     <animateradio>on</animateradio>
     <radioanimation>zoomIn</radioanimation>
     <radioanimationduration>500</radioanimationduration>
     <zebrastriping>off</zebrastriping>
     <stickymatrixheaders>off</stickymatrixheaders>
     <greyoutselected>off</greyoutselected>
     <hideprivacyinfo>off</hideprivacyinfo>
     <crosshover>off</crosshover>
     <showpopups>1</showpopups>
     <fixnumauto>off</fixnumauto>
    </options>
   </config>
  </theme>
  <theme>
   <sid>249611</sid>
   <template_name>fruity</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <brandlogofile>./files/logo.png</brandlogofile>
     <font>noto</font>
     <backgroundimage>off</backgroundimage>
     <backgroundimagefile>./files/pattern.png</backgroundimagefile>
     <animatebody>off</animatebody>
     <bodyanimation>fadeInRight</bodyanimation>
     <bodyanimationduration>500</bodyanimationduration>
     <animatequestion>off</animatequestion>
     <questionanimation>flipInX</questionanimation>
     <questionanimationduration>500</questionanimationduration>
     <animatealert>off</animatealert>
     <alertanimation>shake</alertanimation>
     <alertanimationduration>500</alertanimationduration>
     <bodybackgroundcolor>#ffffff</bodybackgroundcolor>
     <fontcolor>#444444</fontcolor>
     <questionbackgroundcolor>#ffffff</questionbackgroundcolor>
     <questionborder>on</questionborder>
     <questioncontainershadow>on</questioncontainershadow>
     <checkicon>f00c</checkicon>
     <animatecheckbox>on</animatecheckbox>
     <checkboxanimation>rubberBand</checkboxanimation>
     <checkboxanimationduration>500</checkboxanimationduration>
     <animateradio>on</animateradio>
     <radioanimation>zoomIn</radioanimation>
     <radioanimationduration>500</radioanimationduration>
     <zebrastriping>off</zebrastriping>
     <stickymatrixheaders>off</stickymatrixheaders>
     <greyoutselected>off</greyoutselected>
     <hideprivacyinfo>off</hideprivacyinfo>
     <crosshover>off</crosshover>
     <showpopups>1</showpopups>
     <fixnumauto>off</fixnumauto>
    </options>
   </config>
  </theme>
  <theme>
   <sid>249611</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <brandlogofile>./files/logo.png</brandlogofile>
     <font>noto</font>
     <backgroundimage>off</backgroundimage>
     <backgroundimagefile>./files/pattern.png</backgroundimagefile>
     <animatebody>off</animatebody>
     <bodyanimation>fadeInRight</bodyanimation>
     <bodyanimationduration>500</bodyanimationduration>
     <animatequestion>off</animatequestion>
     <questionanimation>flipInX</questionanimation>
     <questionanimationduration>500</questionanimationduration>
     <animatealert>off</animatealert>
     <alertanimation>shake</alertanimation>
     <alertanimationduration>500</alertanimationduration>
     <bodybackgroundcolor>#ffffff</bodybackgroundcolor>
     <fontcolor>#444444</fontcolor>
     <questionbackgroundcolor>#ffffff</questionbackgroundcolor>
     <questionborder>on</questionborder>
     <questioncontainershadow>on</questioncontainershadow>
     <checkicon>f00c</checkicon>
     <animatecheckbox>on</animatecheckbox>
     <checkboxanimation>rubberBand</checkboxanimation>
     <checkboxanimationduration>500</checkboxanimationduration>
     <animateradio>on</animateradio>
     <radioanimation>zoomIn</radioanimation>
     <radioanimationduration>500</radioanimationduration>
     <zebrastriping>off</zebrastriping>
     <stickymatrixheaders>off</stickymatrixheaders>
     <greyoutselected>off</greyoutselected>
     <hideprivacyinfo>off</hideprivacyinfo>
     <crosshover>off</crosshover>
     <showpopups>1</showpopups>
     <fixnumauto>off</fixnumauto>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
limesurvey_survey_249611.lss (35,324 bytes)   
ollehar

ollehar

2021-04-28 16:31

administrator   ~64173

Could not reproduce.

Can you enable debug = 2 in application/config/config.php and try again, please? Paste the complete error message here.
ollehar

ollehar

2021-04-29 15:02

administrator   ~64189

Last edited: 2021-05-10 10:33

Offending commit: 0f8dcc2ec47
ollehar

ollehar

2021-04-29 15:02

administrator   ~64190

Last edited: 2021-05-10 10:33

$datetimeobj = DateTime::createFromFormat( "Y-m-d H:i:s", $thissurvey['expiry']);

but

expiry = 2021-04-15 14:52:00.000

in my SQL Server installation

So $datetimeobj is false.
c_schmitz

c_schmitz

2021-04-30 11:13

administrator   ~64202

Last edited: 2021-05-10 10:33

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31650
c_schmitz

c_schmitz

2021-04-30 11:31

administrator   ~64203

Last edited: 2021-05-10 10:33

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31651
sdsAdm1n

sdsAdm1n

2021-05-10 10:33

reporter   ~64313

Last edited: 2021-05-10 10:33

I have installed the latest release (Version 4.6.0+210504), but the error message is still showing upon clicking to view the survey from surveys list.
I have attached the survey lss file and also the error log file(it's pointing to a different class now) in my previous note dated 05-05-2021
sdsAdm1n

sdsAdm1n

2021-05-19 05:44

reporter   ~64474

any feedback regarding my last two notes?
ollehar

ollehar

2021-05-19 14:07

administrator   ~64478

This is still not fixed in 4.6.3?
sdsAdm1n

sdsAdm1n

2021-06-08 08:35

reporter   ~64777

installed the latest version so far ( 5.0.2+210607) and the problem is still showing.
gabrieljenik

gabrieljenik

2021-06-08 20:51

manager   ~64788

We are thinking about the following approaches:
alt a) Bring back or update old Date_Time_Converter, from commit https://github.com/LimeSurvey/LimeSurvey/commit/0f8dcc2ec47
alt b) Creating a new helper, inspired by Date_Time_Converter
alt c) Adding an after find in the models to trim miliseconds, if on MSSQL
alt d) Adapting the formats using the "+" operator.

```
echo "
Test 1
";
$datetimeobj = DateTime::createFromFormat('Y-m-d H:i:s+', '2020-04-05 10:45:34.000');
var_dump($datetimeobj);
var_dump(DateTime::getLastErrors());

echo "
Test 2
";
$datetimeobj = DateTime::createFromFormat('Y-m-d H:i:s+', '2020-04-05 10:45:34');
var_dump($datetimeobj);
var_dump(DateTime::getLastErrors());
```

Votes on the team are split
B vs D

B could even be a wrapper of D, encapsulating the problem and allowing easier updates on a single method.

@ollehar thoughts?
ollehar

ollehar

2021-06-09 13:30

administrator   ~64794

What was the main reason to remove Date_Time_Converter? Is it in the commit message?
gabrieljenik

gabrieljenik

2021-06-09 18:17

manager   ~64819

Message: Dev Removed obsolete Date_Time_Converter helper class
ollehar

ollehar

2021-06-09 19:48

administrator   ~64820

Maybe it wasn't obsolete after all. :)
ollehar

ollehar

2021-06-10 13:49

administrator   ~64835

If alternative A works, is there any strong reason to do anything else?
gabrieljenik

gabrieljenik

2021-06-10 16:26

manager   ~64852

> If alternative A works, is there any strong reason to do anything else?

Well, I am not that sure how it adapts to the coding guidelines we are persuing.
But, I agree, we can bringit back to life and then adapt it if needed.

Will do that!
gabrieljenik

gabrieljenik

2021-06-10 17:34

manager   ~64853

Revert "Dev Removed obsolete Date_Time_Converter helper class" and fix conflicts
Master PR: https://github.com/LimeSurvey/LimeSurvey/pull/1916
gabrieljenik

gabrieljenik

2021-06-14 16:11

manager   ~64893

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32080
c_schmitz

c_schmitz

2021-07-12 11:53

administrator   ~65295

Release done.

Related Changesets

LimeSurvey: master d9a5f7cd

2021-04-30 11:13:30

c_schmitz

Details Diff
Fixed issue 17276: Error with survey expiration date and using MSSQL Affected Issues
17276
mod - application/controllers/SurveyAdministrationController.php Diff File
mod - application/core/Survey_Common_Action.php Diff File
mod - application/helpers/export_helper.php Diff File
mod - application/helpers/replacements_helper.php Diff File

LimeSurvey: master 4b526f7c

2021-04-30 11:31:23

c_schmitz

Details Diff
Revert "Fixed issue 17276: Error with survey expiration date and using MSSQL"

This reverts commit d9a5f7cd3346048b779518bdf53dc2d04ef100d8.
Affected Issues
17276
mod - application/controllers/SurveyAdministrationController.php Diff File
mod - application/core/Survey_Common_Action.php Diff File
mod - application/helpers/export_helper.php Diff File
mod - application/helpers/replacements_helper.php Diff File

LimeSurvey: master 4c124bc9

2021-06-14 16:05:45

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17276: 500: Internal Server Error - Call to a member function format() on bool (#1916)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17276
mod - application/controllers/RegisterController.php Diff File
mod - application/controllers/SurveyAdministrationController.php Diff File
mod - application/controllers/admin/checkintegrity.php Diff File
mod - application/controllers/admin/database.php Diff File
mod - application/controllers/admin/globalsettings.php Diff File
mod - application/controllers/admin/tokens.php Diff File
mod - application/core/QuestionTypes/Date/RenderDate.php Diff File
mod - application/core/Survey_Common_Action.php Diff File
mod - application/helpers/admin/statistics_helper.php Diff File
mod - application/helpers/export_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/replacements_helper.php Diff File
mod - application/helpers/userstatistics_helper.php Diff File
add - application/libraries/Date_Time_Converter.php Diff File

Issue History

Date Modified Username Field Change
2021-04-28 10:45 sdsAdm1n New Issue
2021-04-28 10:45 sdsAdm1n File Added: Error500.png
2021-04-28 10:45 sdsAdm1n File Added: errorLog28042021.txt
2021-04-28 10:45 sdsAdm1n File Added: limesurvey_survey_249611.lss
2021-04-28 11:50 ollehar Priority none => immediate
2021-04-28 11:50 ollehar Description Updated View Revisions
2021-04-28 11:50 ollehar Steps to Reproduce Updated View Revisions
2021-04-28 11:50 ollehar Additional Information Updated View Revisions
2021-04-28 12:15 c_schmitz Assigned To => c_schmitz
2021-04-28 12:15 c_schmitz Status new => assigned
2021-04-28 16:31 ollehar Status assigned => feedback
2021-04-28 16:31 ollehar Note Added: 64173
2021-04-29 07:53 sdsAdm1n Status feedback => assigned
2021-04-29 15:02 ollehar Note Added: 64189
2021-04-29 15:02 ollehar Note Added: 64190
2021-04-30 11:13 c_schmitz Changeset attached => LimeSurvey master d9a5f7cd
2021-04-30 11:13 c_schmitz Note Added: 64202
2021-04-30 11:13 c_schmitz Resolution open => fixed
2021-04-30 11:14 c_schmitz Status assigned => resolved
2021-04-30 11:31 c_schmitz Changeset attached => LimeSurvey master 4b526f7c
2021-04-30 11:31 c_schmitz Note Added: 64203
2021-05-10 10:33 sdsAdm1n Status resolved => feedback
2021-05-10 10:33 sdsAdm1n Resolution fixed => reopened
2021-05-10 10:33 sdsAdm1n Complete LimeSurvey version number (& build) 4.5.2+210426 => 4.6.0+210504
2021-05-10 10:33 sdsAdm1n Note Added: 64313
2021-05-19 05:44 sdsAdm1n Note Added: 64474
2021-05-19 05:44 sdsAdm1n Status feedback => assigned
2021-05-19 14:07 ollehar Note Added: 64478
2021-05-25 13:33 ollehar Status assigned => feedback
2021-06-08 08:35 sdsAdm1n Note Added: 64777
2021-06-08 08:35 sdsAdm1n Status feedback => assigned
2021-06-08 14:11 gabrieljenik Assigned To c_schmitz => gabrieljenik
2021-06-08 20:51 gabrieljenik Note Added: 64788
2021-06-09 13:30 ollehar Note Added: 64794
2021-06-09 18:17 gabrieljenik Note Added: 64819
2021-06-09 19:48 ollehar Note Added: 64820
2021-06-10 13:49 ollehar Note Added: 64835
2021-06-10 16:26 gabrieljenik Note Added: 64852
2021-06-10 16:32 gabrieljenik View Status private => public
2021-06-10 17:34 gabrieljenik Note Added: 64853
2021-06-10 17:35 gabrieljenik Status assigned => testing
2021-06-14 16:08 ollehar Status testing => resolved
2021-06-14 16:11 gabrieljenik Changeset attached => LimeSurvey master 4c124bc9
2021-06-14 16:11 gabrieljenik Note Added: 64893
2021-06-14 16:11 gabrieljenik Resolution reopened => fixed
2021-07-12 11:53 c_schmitz Note Added: 65295
2021-07-12 11:53 c_schmitz Status resolved => closed